Pretest Build Reports - Build 4810 details

For more information see http://pretest.nongnu.org.

← back to list

Project: util-linux-2.30-rc2
Source: http://www.kernel.org/pub/linux/utils/util-linux/v2.30/util-linux-2.30-rc2.tar.gz
System: Oracle SunOS 5.10 (i86pc)
Status:
make failed
Download logs (what's inside?) util-linux-2.30-rc2.pretest-build-report.build-4810.tar.bz2
Last lines of tail-error.log:
make failed, tail of make.log:

^
./include/c.h:152:1: note: expected 'char *' but argument is of type 'const char *'
prog_inv_sh_nm_from_file(char *f, char stripext)
^
lib/fileutils.c: In function 'xmkstemp':
lib/fileutils.c:58:12: error: '_PATH_TMP' undeclared (first use in this function)
tmpenv = _PATH_TMP;
^
lib/fileutils.c:58:12: note: each undeclared identifier is reported only once for each function it appears in
lib/fileutils.c: In function 'dup_fd_cloexec':
lib/fileutils.c:75:35: warning: unused parameter 'lowfd' [-Wunused-parameter]
int dup_fd_cloexec(int oldfd, int lowfd)
^
*** Error code 1
The following command caused the error:
echo "  CC      " lib/libcommon_la-fileutils.lo;/bin/bash ./libtool --silent --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I.  -include config.h  -I./include  -DLOCALEDIR=\"/usr/share/locale\"  -D_PATH_LOCALSTATEDIR=\"/run\"  -fsigned-char -fno-common -Wall -Werror=sequence-point -Wextra -Wmissing-declarations -Wmissing-parameter-type -Wmissing-prototypes -Wno-missing-field-initializers -Wredundant-decls -Wsign-compare -Wtype-limits -Wuninitialized -Wunused-but-set-parameter -Wunused-but-set-variable -Wunused-parameter -Wunused-result -Wunused-variable -Wnested-externs -Wpointer-arith -Wstrict-prototypes -Wimplicit-function-declaration -g -O2 -MT lib/libcommon_la-fileutils.lo -MD -MP -MF lib/.deps/libcommon_la-fileutils.Tpo -c -o lib/libcommon_la-fileutils.lo `test -f 'lib/fileutils.c' || echo './'`lib/fileutils.c
make: Fatal error: Command failed for target `lib/libcommon_la-fileutils.lo'
Current working directory /home/agn/pretest.2017-05-23.cRaW_G/util-linux-2.30-rc2.sU3kXg/util-linux-2.30-rc2
*** Error code 1
The following command caused the error:
fail=; \
if (target_option=k; case ${target_option-} in  ?) ;;  *) echo "am__make_running_with_option: internal error: invalid"  "target option '${target_option-}' specified" >&2;  exit 1;;  esac;  has_opt=no;  sane_makeflags=$MAKEFLAGS;  if {  if test -z '1'; then  false;  elif test -n ''; then  true;  elif test -n '' && test -n ''; then  true;  else  false;  fi;  }; then  sane_makeflags=$MFLAGS;  else  case $MAKEFLAGS in  *\\[\ \	]*)  bs=\\;  sane_makeflags=`printf '%s\n' "$MAKEFLAGS"  | sed "s/$bs$bs[$bs $bs	]*//g"`;;  esac;  fi;  skip_next=no;  strip_trailopt ()  {  flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`;  };  for flg in $sane_makeflags; do  test $skip_next = yes && { skip_next=no; continue; };  case $flg in  *=*|--*) continue;;  -*I) strip_trailopt 'I'; skip_next=yes;;  -*I?*) strip_trailopt 'I';;  -*O) strip_trailopt 'O'; skip_next=yes;;  -*O?*) strip_trailopt 'O';;  -*l) strip_trailopt 'l'; skip_next=yes;;  -*l?*) strip_trailopt 'l';;  -[dEDm]) skip_next=yes;;  -[JT]) skip_next=yes;;  esac;  case $flg in  *$target_option*) has_opt=yes; break;;  esac;  done;  test $has_opt = yes); then \
failcom='fail=yes'; \
else \
failcom='exit 1'; \
fi; \
dot_seen=no; \
target=`echo all-recursive | sed s/-recursive//`; \
case "all-recursive" in \
distclean-* | maintainer-clean-*) list='po libblkid/docs libmount/docs libsmartcols/docs  libfdisk/docs' ;; \
*) list='po     ' ;; \
esac; \
for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \
|| eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
make  "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `all-recursive'
Current working directory /home/agn/pretest.2017-05-23.cRaW_G/util-linux-2.30-rc2.sU3kXg/util-linux-2.30-rc2
*** Error code 1
make: Fatal error: Command failed for target `all'

Build information

PATH /usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:usr/sfw/bin:/usr/bin:/bin
SHELL /opt/csw/bin/bash
PWD /home/agn/pretest.2017-05-23.cRaW_G/util-linux-2.30-rc2.sU3kXg
hostname unstable10x
SOURCE http://www.kernel.org/pub/linux/utils/util-linux/v2.30/util-linux-2.30-rc2.tar.gz
BASENAME util-linux-2.30-rc2
configure_extra_params
make_extra_params
make_check_extra_params
env_extra_params
git_branch

Build host information

autoconf-version autoconf (GNU Autoconf) 2.69
automake-version automake (GNU automake) 1.15
autopoint-version no-version
autoreconf-version autoreconf (GNU Autoconf) 2.69
make-version no-version
makeinfo-version texi2any (GNU texinfo) 6.1
git-version git version 2.4.0
wget-version GNU Wget 1.19.1 built on solaris2.10.
rsync-version rsync version 3.1.2 protocol version 31
gcc-version gcc (GCC) 5.2.0
cc-version no-version
uname-s SunOS
uname-r 5.10
uname-m i86pc
uname-p i386
uname-i i86pc
uname-o
uname-v Generic_147441-19
lsb_release-v
lsb_release-i
lsb_release-d
lsb_release-r
lsb_release-c
etc_release Oracle Solaris 10 8/11 s10x_u10wos_17b X86
etc_issue

Download Log Files

logs/config.h 22.9 kB curl -JLO 'http://pretest.housegordon.org/g/4810/logs/config.h'
logs/tail-error.log 3.8 kB curl -JLO 'http://pretest.housegordon.org/g/4810/logs/tail-error.log'
logs/config.log 497.4 kB curl -JLO 'http://pretest.housegordon.org/g/4810/logs/config.log'
logs/status 12 Bytes curl -JLO 'http://pretest.housegordon.org/g/4810/logs/status'
logs/versions.txt 695 Bytes curl -JLO 'http://pretest.housegordon.org/g/4810/logs/versions.txt'
logs/configure.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/4810/logs/configure.ok'
logs/input.txt 216 Bytes curl -JLO 'http://pretest.housegordon.org/g/4810/logs/input.txt'
logs/timestamp.start.txt 68 Bytes curl -JLO 'http://pretest.housegordon.org/g/4810/logs/timestamp.start.txt'
logs/environment.txt 198 Bytes curl -JLO 'http://pretest.housegordon.org/g/4810/logs/environment.txt'
logs/config.status 80.5 kB curl -JLO 'http://pretest.housegordon.org/g/4810/logs/config.status'
logs/configure.log 23.6 kB curl -JLO 'http://pretest.housegordon.org/g/4810/logs/configure.log'
logs/make.log 7.1 kB curl -JLO 'http://pretest.housegordon.org/g/4810/logs/make.log'